Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.editions
Interface EditionServiceHome

    public interface EditionServiceHome

Portal service interface of the `EditionService`. An instance can be obtained as follows:

       Context ctx = new InitialContext();
       EditionServiceHome myHome = (EditionServiceHome) ctx.lookup(EditionServiceHome.JNDI_NAME);

Since:
  8.5

Field Summary
`static java.lang.String` | `JNDI_NAME` The JNDI name used to bind the `EditionServiceHome`.

Method Summary
`EditionService` | `getEditionService(HttpServletRequest request, HttpServletResponse response)` Gets an instance of the `EditionService`.
`EditionService` | `getEditionService(HttpServletRequest request, HttpServletResponse response, Workspace workspace)` Gets an instance of the `EditionService`.

Field Detail

### JNDI_NAME

    static final java.lang.String JNDI_NAME

  The JNDI name used to bind the `EditionServiceHome`.

  See Also:
    Constant Field Values

Method Detail

### getEditionService

    EditionService getEditionService(HttpServletRequest request,
                                     HttpServletResponse response)
                                     throws EditionServiceNotAvailableException

  Gets an instance of the `EditionService`.

  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResponse
  Returns:
    `EditionService`
  Throws:
    `EditionServiceNotAvailableException`

### getEditionService

    EditionService getEditionService(HttpServletRequest request,
                                     HttpServletResponse response,
                                     Workspace workspace)
                                     throws EditionServiceNotAvailableException

  Gets an instance of the `EditionService`.

  Parameters:
    `request` - HttpServletRequest
    `response` - HttpServletResponse
    `workspace` - WCM workspace to be used by the service.
  Returns:
    `EditionService`
  Throws:
    `EditionServiceNotAvailableException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD